{{- if and .Values.persistence.enabled (not .Values.persistence.existingClaim) }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ template "project-zomboid-server.fullname" . }}-serverstorage
  labels: {{- include "project-zomboid-server.labels" . | nindent 4 }}
  namespace: {{ .Release.Namespace | quote }}
spec:
  {{- if .Values.persistence.storageClass }}
  storageClassName: {{ .Values.persistence.storageClass | quote }}
  {{- end }}
  {{- if .Values.persistence.size }}
  resources:
    requests:
      storage: {{ .Values.persistence.size }}
  {{- end }}
  accessModes:
    - ReadWriteOnce
{{- end }}
